package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message")
public class EmailMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 邮件id
     */
    @TableId(value = "message_id", type = IdType.INPUT)
    private String messageId;

    /**
     * 电子邮件id
     */
    private Long emailInfoId;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 是否未读
     */
    private Boolean unseen;

    /**
     * 是否旗标
     */
    private Boolean flagged;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发送时间
     */
    private Date fromDate;

    /**
     * 发送人
     */
    private String fromName;

    /**
     * 发送地址
     */
    private String fromAddress;

    /**
     * 正文是否同步
     */
    private Boolean contentSync;

    /**
     * 是否展示
     */
    private Boolean isShow;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
