package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 邮件正文
 * </p>
 *
 * @author zlj
 * @since 2023-01-10
 */
@Getter
@Setter
@TableName("email_message_content")
public class EmailMessageContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 邮件id
     */
    @TableId(value = "message_id", type = IdType.INPUT)
    private String messageId;

    /**
     * 正文内容
     */
    private String htmlContent;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

}
