package com.fjhx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.entity.EmailMessageSendAttachment;
import com.fjhx.mapper.EmailMessageSendAttachmentMapper;
import com.fjhx.service.IEmailMessageSendAttachmentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 邮件发件信息 服务实现类
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
@Service
public class EmailMessageSendAttachmentServiceImpl extends ServiceImpl<EmailMessageSendAttachmentMapper, EmailMessageSendAttachment> implements IEmailMessageSendAttachmentService {

    @Override
    public List<EmailMessageSendAttachment> getAttachmentList(String messageSendId) {
        return list(q -> q.eq(EmailMessageSendAttachment::getMessageSendId, messageSendId));
    }

}
