package com.fjhx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.EmailMailboxLink;
import com.fjhx.entity.EmailMessage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 邮箱文件夹 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-01-13
 */
public interface EmailMailboxLinkMapper extends BaseMapper<EmailMailboxLink> {

    Page<EmailMessage> getMassageList(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> query);

}
